curl --request GET \
--url https://api.thefaithapp.com/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/events"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 4,
"deleted_at": null,
"client_id": 2,
"title": "Kingdom Impartation",
"thumbnail": "https://d2c58p2vdu8kb2.cloudfront.net/events/WbYWMPFRYnKfCyYlReLjrKRyrP6SkTmGY6KhYBI9.png",
"details": "<div class=\"fusion-fullwidth fullwidth-box...\">",
"date": "2025-04-17T00:00:00.000000Z",
"time": "2025-05-24T09:19:00.000000Z",
"created_at": "2025-03-23T18:20:02.000000Z",
"updated_at": "2025-03-23T18:20:02.000000Z",
"is_recurring": false,
"recurrence_pattern": null,
"recurrence_end_date": null,
"is_multi_day": false,
"end_date": null,
"end_time": null,
"sort_date": "2025-04-17T00:00:00.000000Z"
},
{
"id": 5,
"deleted_at": null,
"client_id": 2,
"title": "Daily Conference",
"thumbnail": "https://d2c58p2vdu8kb2.cloudfront.net/events/kNiHY3rZ6quJrvGgNSXIofVI5OqZKRXPfobNhwVn.jpg",
"details": "<p>Our weekly sunday service</p>",
"date": "2025-05-03T00:00:00.000000Z",
"time": "2025-05-24T05:00:00.000000Z",
"created_at": "2025-05-24T12:43:14.000000Z",
"updated_at": "2025-05-24T12:43:14.000000Z",
"is_recurring": true,
"recurrence_pattern": "weekly",
"recurrence_end_date": null,
"is_multi_day": false,
"end_date": null,
"end_time": null,
"recurrence": {
"pattern": "weekly",
"end_date": null,
"next_occurrence": "2025-05-31"
},
"sort_date": "2025-05-31"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/events?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/v1/events?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/v1/events?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/v1/events",
"per_page": 10,
"prev_page_url": null,
"to": 3,
"total": 3
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Get Events
Retrieve a paginated list of events for the authenticated user’s church. Supports optional pagination.
curl --request GET \
--url https://api.thefaithapp.com/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/events"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 4,
"deleted_at": null,
"client_id": 2,
"title": "Kingdom Impartation",
"thumbnail": "https://d2c58p2vdu8kb2.cloudfront.net/events/WbYWMPFRYnKfCyYlReLjrKRyrP6SkTmGY6KhYBI9.png",
"details": "<div class=\"fusion-fullwidth fullwidth-box...\">",
"date": "2025-04-17T00:00:00.000000Z",
"time": "2025-05-24T09:19:00.000000Z",
"created_at": "2025-03-23T18:20:02.000000Z",
"updated_at": "2025-03-23T18:20:02.000000Z",
"is_recurring": false,
"recurrence_pattern": null,
"recurrence_end_date": null,
"is_multi_day": false,
"end_date": null,
"end_time": null,
"sort_date": "2025-04-17T00:00:00.000000Z"
},
{
"id": 5,
"deleted_at": null,
"client_id": 2,
"title": "Daily Conference",
"thumbnail": "https://d2c58p2vdu8kb2.cloudfront.net/events/kNiHY3rZ6quJrvGgNSXIofVI5OqZKRXPfobNhwVn.jpg",
"details": "<p>Our weekly sunday service</p>",
"date": "2025-05-03T00:00:00.000000Z",
"time": "2025-05-24T05:00:00.000000Z",
"created_at": "2025-05-24T12:43:14.000000Z",
"updated_at": "2025-05-24T12:43:14.000000Z",
"is_recurring": true,
"recurrence_pattern": "weekly",
"recurrence_end_date": null,
"is_multi_day": false,
"end_date": null,
"end_time": null,
"recurrence": {
"pattern": "weekly",
"end_date": null,
"next_occurrence": "2025-05-31"
},
"sort_date": "2025-05-31"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/events?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/v1/events?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/v1/events?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/v1/events",
"per_page": 10,
"prev_page_url": null,
"to": 3,
"total": 3
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Page number for pagination (default: 1).
Response
Paginated list of events.
Current page number of the result set.
1
List of event objects.
Show child attributes
Show child attributes
URL to the first page of results.
"https://api.thefaithapp.com/v1/events?page=1"
Index of the first item returned.
1
Last page number of the result set.
1
URL to the last page of results.
"https://api.thefaithapp.com/v1/events?page=1"
Pagination navigation links.
Show child attributes
Show child attributes
URL to the next page of results, or null if on the last page.
null
Base path for the paginated results.
"https://api.thefaithapp.com/v1/events"
Number of items per page.
10
URL to the previous page of results, or null if on the first page.
null
Index of the last item returned.
1
Total number of items available.
1
Was this page helpful?